compact2, compact3
javax.xml.stream.events

## Interface EndDocument

All Superinterfaces:
  XMLEvent, XMLStreamConstants

    public interface EndDocument
    extends XMLEvent

A marker interface for the end of the document

Since:
  1.6
Version:
  1.0

### Field Summary

### Fields inherited from interface javax.xml.stream.XMLStreamConstants

`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

### Method Summary

### Methods inherited from interface javax.xml.stream.events.XMLEvent

`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`